# Retrieve Usage Limits Details
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/usage-limits-management/retrieve-usage-limits-details/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving details of a specified usage limit stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter    | Available value |
|---------------------|-----------------|
| `usage_limit_codes` | DAILY_TOTAL     |
|                     | MONTHLY_TOTAL   |

Sample request

`GET /contracts/70001/usage-limits?usage_limit_codes=DAILY_TOTAL,MONTHLY_TOTAL`

**Sample response**

`200`

```JSON
{
    "usageLimits": [
        {
            "activityPeriodStartDate": "2031-06-25T12:51:30Z",
            "activityPeriodEndDate": "2031-07-25T12:51:30Z",
            "addInfo": "EXC_SIC_LIST=0004",
            "currency": "EUR",
            "currencyNumericCode": "978",
            "currentUsage": {
                "availableAmount": 1250.6,
                "availableNumber": 18,
                "usedAmount": 1749.4,
                "usedNumber": 12
            },
            "maxAmount": 3000,
            "maxNumber": 30,
            "maxPercent": 10,
            "maxSingleAmount": 500,
            "status": "Active",
            "usageLimitCode": "DAILY_TOTAL"
        },
        {
            "activityPeriodStartDate": "2031-06-25T12:51:30Z",
            "activityPeriodEndDate": "2031-07-25T12:51:30Z",
            "addInfo": "EXC_SIC_LIST=0004",
            "currency": "EUR",
            "currencyNumericCode": "978",
            "currentUsage": {
                "availableAmount": 1250.6,
                "availableNumber": 18,
                "usedAmount": 1749.4,
                "usedNumber": 12
            },
            "maxAmount": 3000,
            "maxNumber": 30,
            "maxPercent": 10,
            "maxSingleAmount": 500,
            "status": "Closed",
            "usageLimitCode": "MONTHLY_TOTAL"
        }
    ]
}
```

## Test case -- Success -- Invalid usage limit code {#test-case--success--invalid-usage-limit-code}

This test case describes an attempt to retrieve details of a specified usage limit stored in the CMS by sending invalid `usage_limit_codes` value in the request.

For this test case, use the following information in the request:

|   Path parameter    |                                  Available value                                   |
|---------------------|------------------------------------------------------------------------------------|
| `usage_limit_codes` | Any other than DAILY_TOTAL MONTHLY_TOTAL or pass the parameter with an empty value |

**Sample request**

`GET /contracts/70001/usage-limits?usage_limit_codes=INVALID`

**Sample response**

`200`

```JSON
{
    "usageLimits": []
}
```

